function aqeeq_agency_menu_open_nav() {
	window.aqeeq_agency_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function aqeeq_agency_menu_close_nav() {
	window.aqeeq_agency_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},  
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.aqeeq_agency_currentfocus=null;
  	aqeeq_agency_checkfocusdElement();
	var aqeeq_agency_body = document.querySelector('body');
	aqeeq_agency_body.addEventListener('keyup', aqeeq_agency_check_tab_press);
	var aqeeq_agency_gotoHome = false;
	var aqeeq_agency_gotoClose = false;
	window.aqeeq_agency_responsiveMenu=false;
 	function aqeeq_agency_checkfocusdElement(){
	 	if(window.aqeeq_agency_currentfocus=document.activeElement.className){
		 	window.aqeeq_agency_currentfocus=document.activeElement.className;
	 	}
 	}
 	function aqeeq_agency_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.aqeeq_agency_responsiveMenu){
			if (!e.shiftKey) {
				if(aqeeq_agency_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				aqeeq_agency_gotoHome = true;
			} else {
				aqeeq_agency_gotoHome = false;
			}

		}else{

			if(window.aqeeq_agency_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.aqeeq_agency_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.aqeeq_agency_responsiveMenu){
				if(aqeeq_agency_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					aqeeq_agency_gotoClose = true;
				} else {
					aqeeq_agency_gotoClose = false;
				}
			
			}else{

			if(window.aqeeq_agency_responsiveMenu){
			}}}}
		}
	 	aqeeq_agency_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  /*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});

});

window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});



jQuery(document).ready(function () {
	function aqeeq_agency_search_loop_focus(element) {
		var aqeeq_agency_focus = element.find('select, input, textarea, button, a[href]');
		var aqeeq_agency_firstFocus = aqeeq_agency_focus[0];  
		var aqeeq_agency_lastFocus = aqeeq_agency_focus[aqeeq_agency_focus.length - 1];
		var KEYCODE_TAB = 9;

		element.on('keydown', function aqeeq_agency_search_loop_focus(e) {
			var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

			if (!isTabPressed) { 
			  return; 
			}

			if ( e.shiftKey ) /* shift + tab */ {
			  if (document.activeElement === aqeeq_agency_firstFocus) {
		    aqeeq_agency_lastFocus.focus();
		      e.preventDefault();
		    }
		  } else /* tab */ {
		  	if (document.activeElement === aqeeq_agency_lastFocus) {
		    	aqeeq_agency_firstFocus.focus();
		      e.preventDefault();
		    }
		  }
		});
	}
	
	jQuery('.search-box span a').click(function(){
    jQuery(".serach_outer").slideDown(1000);
  	aqeeq_agency_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
    jQuery(".serach_outer").slideUp(1000);
  });
});